<?php

class CCS_Squelette {
	protected $ID;
	protected $titre;
	protected $ObjetWP;
	
	public function __construct($ID, $titre, $WP){
		$this->ID = $ID;
		$this->titre = $titre;
		
		//Pour rester générique, on mémorise aussi l'objet WP (de type stdClass) afin que l'on puisse utiliser d'autres paramètres
		$this->ObjetWP = $WP;
	}
	
	public function getID(){
		return $this->ID;
	}
	
	public function getLien(){
		return apply_filters('the_permalink', get_permalink($this->ID));
	}
	
	public function getTitre($maxTaille = 0){
		$retour = $this->titre;
		
		if($MaxTaille > 0 && len($this->titre) > $MaxTaille){
			//On raccourcit
			$retour = substr($this->titre,0, $MaxTaille);
			
			//On ajoute les points de suspension
			$retour .= $this->titre != $retour ? "…" : "";
		}
		
		return $retour;
	}
	
	public function getstdClass(){
		return $this->ObjetWP;
	}
	
	/**
	* Cette méthode sert à accéder à divers éléments de l'objet WP (de type stdClass).
	* @param string $param Nom de l'attribut contenu dans l'objet stdClass de WP.
	* 
	* @return mixed
	*/
	public function getWPElement($param){
		return $this->ObjetWP->$param;
	}
	
	public function setTitre($titre){
		$this->titre = $titre;
	}
	
}

?>